﻿using System.Windows;

namespace XDGDependantCombo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

        }


        private void xdg1_EditModeEnded(object sender, Infragistics.Windows.DataPresenter.Events.EditModeEndedEventArgs e)
        {
            if(e.Cell.Field.Name == "State")
            {
                if(e.Cell.Value == null)
                {
                    e.Cell.Record.Cells["City"].Value = null;
                    return;
                }
                string stateValue = e.Cell.Value.ToString();
                if (stateValue != "New Jersey" && stateValue != "California" && stateValue != "Florida")
                {
                    e.Cell.Record.Cells["City"].Value = null;
                }
            }
        }
    }
}
