﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XDGDependantCombo
{
    class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
            {
                return null;
            }
            SampleData _value = value as SampleData;
            List<string> result = null;

            // could also make conditions based on the other properties of the data model
            if (_value.State == "New Jersey")
            {
                result = AvailableCities.GetNewJerseyCities();
            }
            if (_value.State == "California")
            {
                result = AvailableCities.GetCaliforniaCities();
            }
            if (_value.State == "Florida")
            {
                result = AvailableCities.GetFloridaCities();
            }
           

            return result;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }
    }
}
